## kfreebsd-10 10.0~svn230109

=== sys/modules/Makefile ===
# $FreeBSD$

.include <bsd.own.mk>

SUBDIR=	${_3dfx} \
	${_3dfx_linux} \
	${_aac} \
	accf_data \
	accf_dns \
	accf_http \
	${_acpi} \
	ae \
	${_aesni} \
	age \
	${_agp} \
	aha \
	${_ahb} \
	ahci \
	${_aic} \
	aic7xxx \
	aio \
	alc \
	ale \
	alq \
	${_amdsbwd} \
	${_amdtemp} \
	amr \
	${_an} \
	${_aout} \
	${_apm} \
	${_arcmsr} \
	${_arcnet} \
	${_asmc} \
	${_asr} \
	ata \
	ath \
	ath_pci \
	${_auxio} \
	bce \
	bfe \
	bge \
	${_bxe} \
	${_bios} \
	${_bktr} \
	${_bm} \
	bridgestp \
	bwi \
	bwn \
	cam \
	${_canbepm} \
	${_canbus} \
	${_cardbus} \
	${_carp} \
	cas \
	${_cbb} \
	cc \
	cd9660 \
	cd9660_iconv \
	${_ce} \
	${_cfi} \
	${_ciss} \
	${_cm} \
	${_cmx} \
	coda \
	coda5 \
	${_coff} \
	${_coretemp} \
	${_cp} \
	${_cpuctl} \
	${_cpufreq} \
	${_crypto} \
	${_cryptodev} \
	${_cs} \
	${_ctau} \
	${_cxgb} \
	cxgbe \
	${_cyclic} \
	dc \
	dcons \
	dcons_crom \
	de \
	${_dpms} \
	${_dpt} \
	${_drm} \
	${_dtrace} \
	dummynet \
	${_ed} \
	${_elink} \
	${_em} \
	en \
	${_ep} \
	${_epic} \
	esp \
	${_et} \
	${_ex} \
	${_exca} \
	${_ext2fs} \
	fatm \
	fdc \
	fdescfs \
	${_fe} \
	firewire \
	firmware \
	fxp \
	gem \
	geom \
	${_glxiic} \
	${_glxsb} \
	hatm \
	hifn \
	hme \
	${_hpt27xx} \
	${_hptiop} \
	${_hptmv} \
	${_hptrr} \
	hwpmc \
	${_i2c} \
	${_ibcs2} \
	${_ichwd} \
	${_ida} \
	${_ie} \
	if_bridge \
	if_disc \
	if_edsc \
	if_ef \
	if_epair \
	if_faith \
	if_gif \
	${_if_gre} \
	if_lagg \
	${_if_ndis} \
	if_stf \
	if_tap \
	if_tun \
	if_vlan \
	${_igb} \
	${_iir} \
	${_io} \
	ipdivert \
	${_ipfilter} \
	${_ipfw} \
	ipfw_nat \
	${_ipmi} \
	ip_mroute_mod \
	${_ips} \
	${_ipw} \
	${_ipwfw} \
	iscsi \
	isp \
	ispfw \
	${_iwi} \
	${_iwifw} \
	${_iwn} \
	${_iwnfw} \
	${_ixgb} \
	${_ixgbe} \
	jme \
	joy \
	kbdmux \
	kgssapi \
	kgssapi_krb5 \
	khelp \
	krpc \
	ksyms \
	le \
	lge \
	libalias \
	libiconv \
	libmbpool \
	libmchain \
	${_lindev} \
	${_linprocfs} \
	${_linsysfs} \
	${_linux} \
	lmc \
	lpt \
	mac_biba \
	mac_bsdextended \
	mac_ifoff \
	mac_lomac \
	mac_mls \
	mac_none \
	mac_partition \
	mac_portacl \
	mac_seeotheruids \
	mac_stub \
	mac_test \
	malo \
	mcd \
	md \
	mem \
	mfi \
	mii \
	mlx \
	${_mlx4} \
	${_mlx4ib} \
	${_mlxen} \
	${_mly} \
	mmc \
	mmcsd \
	mps \
	mpt \
	mqueue \
	msdosfs \
	msdosfs_iconv \
	${_mse} \
	msk \
	${_mthca} \
	mvs \
	mwl \
	mwlfw \
	mxge \
	my \
	${_ncp} \
	${_ncv} \
	${_ndis} \
	${_netgraph} \
	${_nfe} \
	nfs_common \
	nfscl \
	nfsclient \
	nfscommon \
	nfsd \
	nfslock \
	nfslockd \
	nfsserver \
	nfssvc \
	nge \
	nmdm \
	${_nsp} \
	ntfs \
	ntfs_iconv \
	nullfs \
	${_nve} \
	${_nvram} \
	${_nwfs} \
	${_nxge} \
	${_opensolaris} \
	${_padlock} \
	patm \
	${_pccard} \
	${_pcfclock} \
	pcn \
	${_pf} \
	${_pflog} \
	${_pfsync} \
	plip \
	${_pmc} \
	portalfs \
	ppbus \
	ppc \
	ppi \
	pps \
	procfs \
	pseudofs \
	${_pst} \
	pty  \
	puc \
	${_qlxgb} \
	ral \
	ralfw \
	${_random} \
	rc4 \
	${_rdma} \
	re \
	reiserfs \
	rl \
	runfw \
	${_s3} \
	${_safe} \
	${_sbni} \
	scc \
	scd \
	${_scsi_low} \
	sdhci \
	sem \
	send \
	sf \
	${_sfxge} \
	sge \
	siba_bwn \
	siftr \
	siis \
	sis \
	sk \
	${_smbfs} \
	sn \
	${_snc} \
	snp \
	${_sound} \
	${_speaker} \
	${_splash} \
	${_sppp} \
	ste \
	${_stg} \
	stge \
	${_streams} \
	${_svr4} \
	${_sym} \
	${_syscons} \
	sysvipc \
	ti \
	tl \
	tmpfs \
	${_tpm} \
	trm \
	${_twa} \
	twe \
	tws \
	tx \
	txp \
	uart \
	ubsec \
	udf \
	udf_iconv \
	ufs \
	unionfs \
	usb \
	utopia \
	${_vesa} \
	${_virtio} \
	vge \
	${_viawd} \
	vkbd \
	${_vpo} \
	vr \
	vte \
	vx \
	${_vxge} \
	wb \
	${_wi} \
	wlan \
	wlan_acl \
	wlan_amrr \
	wlan_ccmp \
	wlan_rssadapt \
	wlan_tkip \
	wlan_wep \
	wlan_xauth \
	${_wpi} \
	${_wpifw} \
	${_x86bios} \
	${_xe} \
	xfs \
	xl \
	${_zfs} \
	zlib \

.if ${MACHINE_CPUARCH} != "powerpc" && ${MACHINE_CPUARCH} != "arm" && \
	${MACHINE_CPUARCH} != "mips"
_syscons=	syscons
_vpo=		vpo
.endif

.if ${MACHINE_CPUARCH} != "arm" && ${MACHINE_CPUARCH} != "mips"
# no BUS_SPACE_UNSPECIFIED
# No barrier instruction support (specific to this driver)
_sym=		sym
# intr_disable() is a macro, causes problems
_cxgb=		cxgb
.endif

.if ${MK_CRYPT} != "no" || defined(ALL_MODULES)
.if exists(${.CURDIR}/../opencrypto)
_crypto=	crypto
_cryptodev=	cryptodev
.endif
.if exists(${.CURDIR}/../crypto)
_random=	random
.endif
.endif

.if ${MK_INET_SUPPORT} != "no" || defined(ALL_MODULES)
_if_gre=	if_gre
.endif

.if (${MK_INET_SUPPORT} != "no" || ${MK_INET6_SUPPORT} != "no") || \
	defined(ALL_MODULES)
_carp=	carp
.endif

.if ${MK_IPFILTER} != "no" || defined(ALL_MODULES)
_ipfilter=	ipfilter
.endif

.if ${MK_INET_SUPPORT} != "no" || defined(ALL_MODULES)
_ipfw=		ipfw
.endif

.if ${MK_NETGRAPH} != "no" || defined(ALL_MODULES)
_netgraph=	netgraph
.endif

.if (${MK_PF} != "no" && (${MK_INET_SUPPORT} != "no" || \
	${MK_INET6_SUPPORT} != "no")) || defined(ALL_MODULES)
_pf=		pf
_pflog=		pflog
.if ${MK_INET_SUPPORT} != "no"
_pfsync=	pfsync
.endif
.endif

.if ${MACHINE_CPUARCH} == "i386"
# XXX some of these can move to the general case when de-i386'ed
# XXX some of these can move now, but are untested on other architectures.
_3dfx=		3dfx
_3dfx_linux=	3dfx_linux
_agp=		agp
_aic=		aic
_an=		an
_aout=		aout
_apm=		apm
_arcnet=	arcnet
_bktr=		bktr
_bxe=		bxe
_cardbus=	cardbus
_cbb=		cbb
_ce=		ce
_coff=		coff
_cp=		cp
_cpuctl=	cpuctl
_cpufreq=	cpufreq
_cs=		cs
.if ${MK_CDDL} != "no" || defined(ALL_MODULES)
_cyclic=	cyclic
.endif
_dpms=		dpms
_drm=		drm
.if ${MK_CDDL} != "no" || defined(ALL_MODULES)
_dtrace=	dtrace
.endif
_ed=		ed
_elink=		elink
_em=		em
_ep=		ep
_et=		et
_exca=		exca
_ext2fs=	ext2fs
_fe=		fe
_glxiic=	glxiic
_glxsb=		glxsb
_i2c=		i2c
_ibcs2=		ibcs2
_ie=		ie
_if_ndis=	if_ndis
_igb=		igb
_io=		io
_lindev=	lindev
_linprocfs=	linprocfs
_linsysfs=	linsysfs
_linux=		linux
_mse=		mse
.if ${MK_OFED} != "no" || defined(ALL_MODULES)
_mlx4=		mlx4
_mlx4ib=	mlx4ib
_mlxen=		mlxen
_mthca=		mthca
.endif
.if ${MK_NCP} != "no"
_ncp=		ncp
.endif
_ncv=		ncv
_ndis=		ndis
_nsp=		nsp
.if ${MK_NCP} != "no"
_nwfs=		nwfs
.endif
.if ${MK_CDDL} != "no" || defined(ALL_MODULES)
_opensolaris=	opensolaris
.endif
_pccard=	pccard
_pcfclock=	pcfclock
_pst=		pst
_rdma=		rdma
_safe=		safe
_sbni=		sbni
_scsi_low=	scsi_low
_smbfs=		smbfs
_sound=		sound
_speaker=	speaker
_splash=	splash
_sppp=		sppp
_stg=		stg
_streams=	streams
_svr4=		svr4
_vxge=  	vxge
_wi=		wi
_xe=		xe
.if ${MK_ZFS} != "no" || defined(ALL_MODULES)
_zfs=		zfs
.endif
.if ${MACHINE} == "i386"
_aac=		aac
_acpi=		acpi
.if ${MK_CRYPT} != "no" || defined(ALL_MODULES)
_aesni=		aesni
.endif
_ahb=		ahb
_amdsbwd=	amdsbwd
_amdtemp=	amdtemp
_arcmsr=	arcmsr
_asmc=		asmc
_asr=		asr
_bios=		bios
_ciss=		ciss
_cm=		cm
_cmx=		cmx
_coretemp=	coretemp
_ctau=		ctau
_dpt=		dpt
_ex=		ex
_hpt27xx=	hpt27xx
_hptiop=	hptiop
_hptmv=		hptmv
_hptrr=		hptrr
_ichwd=		ichwd
_ida=		ida
_iir=		iir
_ipmi=		ipmi
_ips=		ips
_ipw=		ipw
_ipwfw=		ipwfw
_iwi=		iwi
_iwifw=		iwifw
_iwn=		iwn
_iwnfw=		iwnfw
_ixgb=		ixgb
_ixgbe=		ixgbe
_mly=		mly
_nfe=		nfe
_nve=		nve
_nvram=		nvram
_nxge=		nxge
_tpm=		tpm
_viawd=		viawd
_wpi=		wpi
_wpifw=		wpifw
.if ${MK_CRYPT} != "no" || defined(ALL_MODULES)
_padlock=	padlock
.endif
_s3=		s3
_twa=		twa
_vesa=		vesa
_virtio=	virtio
_x86bios=	x86bios
.elif ${MACHINE} == "pc98"
_canbepm=	canbepm
_canbus=	canbus
_pmc=		pmc
_snc=		snc
.endif
.endif

.if ${MACHINE_CPUARCH} == "amd64"
_aac=		aac
_aout=		aout
_acpi=		acpi
.if ${MK_CRYPT} != "no" || defined(ALL_MODULES)
_aesni=		aesni
.endif
_agp=		agp
_an=		an
_amdsbwd=	amdsbwd
_amdtemp=	amdtemp
_arcmsr=	arcmsr
_asmc=		asmc
_bxe=		bxe
_cardbus=	cardbus
_cbb=		cbb
_cmx=		cmx
_ciss=		ciss
_coretemp=	coretemp
_cpuctl=	cpuctl
_cpufreq=	cpufreq
.if ${MK_CDDL} != "no" || defined(ALL_MODULES)
_cyclic=	cyclic
.endif
_dpms=		dpms
_drm=		drm
.if ${MK_CDDL} != "no" || defined(ALL_MODULES)
_dtrace=	dtrace
.endif
_ed=		ed
_et=		et
_em=		em
_exca=		exca
_ext2fs=	ext2fs
_hpt27xx=	hpt27xx
_hptiop=	hptiop
_hptmv=		hptmv
_hptrr=		hptrr
_i2c=		i2c
_ichwd=		ichwd
_ida=		ida
_if_ndis=	if_ndis
_igb=		igb
_iir=		iir
_io=		io
_ipmi=		ipmi
_ips=		ips
_ipw=		ipw
_ipwfw=		ipwfw
_iwi=		iwi
_iwifw=		iwifw
_iwn=		iwn
_iwnfw=		iwnfw
_ixgb=		ixgb
_ixgbe=		ixgbe
_lindev=	lindev
_linprocfs=	linprocfs
_linsysfs=	linsysfs
_linux=		linux
_mly=		mly
.if ${MK_OFED} != "no" || defined(ALL_MODULES)
_mlx4=		mlx4
_mlx4ib=	mlx4ib
_mlxen=		mlxen
_mthca=		mthca
.endif
_ndis=		ndis
_nfe=		nfe
_nve=		nve
_nvram=		nvram
_nxge=		nxge
.if ${MK_CDDL} != "no" || defined(ALL_MODULES)
_opensolaris=	opensolaris
.endif
.if ${MK_CRYPT} != "no" || defined(ALL_MODULES)
_padlock=	padlock
.endif
_pccard=	pccard
_qlxgb=		qlxgb
_rdma=		rdma	
_s3=		s3
_safe=		safe
_scsi_low=	scsi_low
_sfxge=		sfxge
_smbfs=		smbfs
_sound=		sound
_speaker=	speaker
_splash=	splash
_sppp=		sppp
_tpm=		tpm
_twa=		twa
_vesa=		vesa
_viawd=		viawd
_virtio=	virtio
_vxge=  	vxge
_x86bios=	x86bios
_wi=		wi
_wpi=		wpi
_wpifw=		wpifw
.if ${MK_ZFS} != "no" || defined(ALL_MODULES)
_zfs=		zfs
.endif
.endif

.if ${MACHINE_CPUARCH} == "arm"
_cfi=		cfi
.endif

.if ${MACHINE_CPUARCH} == "ia64"
_aac=		aac
_aic=		aic
_an=		an
_arcnet=	arcnet
_asr=		asr
_bktr=		bktr
_cardbus=	cardbus
_cbb=		cbb
_ciss=		ciss
_cm=		cm
_cmx=		cmx
_coff=		coff
_cpufreq=	cpufreq
_dpt=		dpt
_em=		em
_ep=		ep
_et=		et
_exca=		exca
_fe=		fe
_hptiop=	hptiop
_ida=		ida
_igb=		igb
_iir=		iir
_ips=		ips
_mly=		mly
_pccard=	pccard
_scsi_low=	scsi_low
_smbfs=		smbfs
_sound=		sound
_splash=	splash
_sppp=		sppp
_streams=	streams
_tpm=		tpm
_twa=		twa
_wi=		wi
_xe=		xe
.endif

.if ${MACHINE_CPUARCH} == "powerpc"
_agp=		agp
_an=		an
_bm=		bm
_cfi=		cfi
_cpufreq=	cpufreq
_nvram=		powermac_nvram
_smbfs=		smbfs
_sound=		sound
.endif

.if ${MACHINE_ARCH} == "powerpc64"
.if ${MK_CDDL} != "no" || defined(ALL_MODULES)
_opensolaris=	opensolaris
.endif
.if ${MK_ZFS} != "no" || defined(ALL_MODULES)
_zfs=		zfs
.endif
.endif

.if ${MACHINE_CPUARCH} == "sparc64"
_auxio=		auxio
_em=		em
_epic=		epic
_i2c=		i2c
_igb=		igb
.if ${MK_CDDL} != "no" || defined(ALL_MODULES)
_opensolaris=	opensolaris
.endif
_smbfs=		smbfs
_sound=		sound
.if ${MK_ZFS} != "no" || defined(ALL_MODULES)
_zfs=		zfs
.endif
.endif

.if defined(MODULES_OVERRIDE) && !defined(ALL_MODULES)
SUBDIR=${MODULES_OVERRIDE}
.endif

.for reject in ${WITHOUT_MODULES}
SUBDIR:= ${SUBDIR:N${reject}}
.endfor

# Calling kldxref(8) for each module is expensive.
.if !defined(NO_XREF)
.MAKEFLAGS+=	-DNO_XREF
afterinstall:
	@if type kldxref >/dev/null 2>&1; then \
		${ECHO} kldxref ${DESTDIR}${KMODDIR}; \
		kldxref ${DESTDIR}${KMODDIR}; \
	fi
.endif

.include <bsd.subdir.mk>

=== sys/modules/usb/Makefile ===
#
# $FreeBSD$
#
# Copyright (c) 2008 Hans Petter Selasky. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#

SUBDIR = usb
SUBDIR += ehci musb ohci uhci xhci uss820dci ${_at91dci} ${_atmegadci} ${_avr32dci}
SUBDIR += rum run uath upgt usie ural zyd ${_urtw}
SUBDIR += atp uhid ukbd ums udbp ufm uep
SUBDIR += ucom u3g uark ubsa ubser uchcom ucycom ufoma uftdi ugensa uipaq ulpt \
	  umct umcs umodem umoscom uplcom uslcom uvisor uvscom
SUBDIR += uether aue axe cdce cue kue mos rue udav uhso ipheth
SUBDIR += usfs umass urio
SUBDIR += quirk template

.if ${MACHINE_CPUARCH} == "amd64"
_urtw=		urtw
.endif

.if ${MACHINE_CPUARCH} == "arm"
_at91dci=	at91dci
_atmegadci=	atmegadci
.endif

.if ${MACHINE_CPUARCH} == "i386"
_urtw=		urtw
.endif

.if ${MACHINE_CPUARCH} == "avr32"
_avr32dci=	avr32dci
.endif

.include <bsd.subdir.mk>

=== sys/modules/wtap/Makefile ===
# $FreeBSD$

.PATH:	${.CURDIR}/../../dev/wtap

# Declare Name of kernel module
KMOD	=  wtap

# Enumerate Source files for kernel module
SRCS	=  if_wtap_module.c if_wtap.c if_medium.c

.PATH:	${.CURDIR}/../../dev/wtap/wtap_hal
SRCS	+= hal.c

.PATH:	${.CURDIR}/../../dev/wtap/plugins
SRCS	+= visibility.c

SRCS	+= opt_global.h

.if defined(KERNBUILDDIR)
MKDEP=          -include ${KERNBUILDDIR}/opt_global.h
.else
CFLAGS+=        -include opt_global.h
MKDEP=          -include opt_global.h

opt_global.h:
	echo "#define VIMAGE 1" > ${.TARGET}
.endif

# Include kernel module makefile
.include <bsd.kmod.mk>

=== sys/modules/sound/driver/emu10k1/Makefile ===
# $FreeBSD$

.PATH: ${.CURDIR}/../../../../dev/sound/pci \
       ${.CURDIR}/../../../../gnu/dev/sound/pci

KMOD=	snd_emu10k1
SRCS=	device_if.h bus_if.h emuxkireg.h pci_if.h
SRCS+= mpufoi_if.h
SRCS+=	emu10k1.c

.include <bsd.kmod.mk>

=== sys/modules/sound/driver/emu10kx/Makefile ===
# $FreeBSD$
.PATH: ${.CURDIR}/../../../../dev/sound/pci \
       ${.CURDIR}/../../../../gnu/dev/sound/pci

KMOD=	snd_emu10kx

SRCS=	device_if.h bus_if.h pci_if.h
SRCS+=	isa_if.h channel_if.h ac97_if.h mixer_if.h mpufoi_if.h
SRCS+=	vnode_if.h
# Master, PCM and MIDI devices
SRCS+=	emu10kx.c
SRCS+=	emu10kx-pcm.c
SRCS+=	emu10kx-midi.c
SRCS+=	emuxkireg.h

.include <bsd.kmod.mk>

=== debian/changelog ===
kfreebsd-10 (10.0~svn230109-1) experimental; urgency=low

  * New upstream snapshot.

  [ Robert Millan ]
  * Remove 951_disable_mk_magic.diff (except for MK_CTF bits), build-depend
    on freebsd-buildutils >= 9 instead.
  * 952_nodebug.diff: Disable full debugger support to minimize the
    impact of heisenbugs (see patch header for details).

 -- Robert Millan <rmh@debian.org>  Sun, 15 Jan 2012 14:35:58 +0100

kfreebsd-10 (10.0~svn228940-1) experimental; urgency=low

  * New upstream snapshot.

  [ Robert Millan ]
  * Enable SMP in -686 and turn -686-smp into a transitional package.
  * Disable udebs for xen flavour on i386 (unbuildable).

 -- Robert Millan <rmh@debian.org>  Thu, 29 Dec 2011 00:53:20 +0100

=== debian/control ===
Source: kfreebsd-10
Section: kernel
Priority: optional
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org>, Robert Millan <rmh@debian.org>
Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/kfreebsd-10/
Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/kfreebsd-10/
Build-Depends: debhelper (>= 5.0.0), bzip2, sharutils, flex-old | flex,
 freebsd-buildutils (>= 9),
 gcc-4.4, libdb-dev,
 libbsd-dev (>= 0.3.0), pkg-config,
 libsbuf-dev, libsbuf-dev (>= 8.2-2) | kfreebsd-kernel-headers (<< 0.56),
 freebsd-buildutils (>= 8.2-4) [any-mipsel],
 kernel-wedge (>= 2.79) [kfreebsd-any],
Standards-Version: 3.9.2

Package: kfreebsd-source-10.0
Architecture: all
Depends: ${misc:Depends}
Recommends: freebsd-buildutils (>= 7)
Provides: kfreebsd-source-10, kfreebsd-source
Description: source code for kernel of FreeBSD 10.0 with Debian patches
 This package provides the source code for kernel of FreeBSD 10.0, base of
 a GNU/kFreeBSD system.

Package: kfreebsd-headers-10.0-0
Architecture: any
Depends: ${misc:Depends}
Description: Common architecture-specific header files for kernel of FreeBSD 10.0
 This package provides the architecture-specific common kernel header files for
 kernel of FreeBSD 10.0, generally used for building out-of-tree kernel
 modules. To obtain a complete set of headers you also need to install the
 kfreebsd-headers-10.0-0-(flavour) package, matching the flavour of the
 kernel you intend the build for. To obtain such a set for the currently running
 kernel it is sufficient to run a command
 .
 apt-get install kfreebsd-headers-$(uname -r)
 .
 and it will be unpacked in /usr/src/kfreebsd-headers-10.0-0-(flavour)


Package: kfreebsd-image-10.0-0-686-smp
Architecture: any-i386
Depends: ${misc:Depends}, kfreebsd-image-10.0-0-686
Description: kernel of FreeBSD 10.0 (transitional package)
 This is a dependency package to handle upgrades, it can be safely removed.

Package: kfreebsd-image-10-686-smp
Architecture: any-i386
Depends: ${misc:Depends}, kfreebsd-image-10-686
Description: kernel of FreeBSD 10 (transitional package)
 This is a dependency package to handle upgrades, it can be safely removed.

Package: kfreebsd-headers-10.0-0-686-smp
Architecture: any-i386
Depends: ${misc:Depends}, kfreebsd-headers-10.0-0-686
Description: header files for kernel of FreeBSD 10.0 (transitional package)
 This is a dependency package to handle upgrades, it can be safely removed.

Package: kfreebsd-headers-10-686-smp
Architecture: any-i386
Depends: ${misc:Depends}, kfreebsd-headers-10.0-0-686
Description: header files for kernel of FreeBSD 10 (transitional package)
 This is a dependency package to handle upgrades, it can be safely removed.

Package: kfreebsd-image-10.0-0-amd64
Architecture: any-amd64
Depends: ${misc:Depends},
 freebsd-utils (>= 8.1-5) [kfreebsd-any], kldutils (>= 7.1) [kfreebsd-any],
 devd [kfreebsd-any] | freebsd-utils (<< 8.2+ds2-9) [kfreebsd-any],
# Policy-conformant keyboard mappings (see #605777)
 kbdcontrol (>= 8.2+ds2-6) [kfreebsd-any],
Conflicts: kfreebsd-loader (<< 5.4-1.3)
# grub-probe versions prior to ada(4) support break postinst
Breaks: grub-common (<< 1.98+20100804-14+squeeze1) [kfreebsd-any],
# AT_* macros break LD_PRELOAD (see #630695)
# Missing support for RFTSIGZMB (see 007_clone_signals.diff)
 libc0.1 (<< 2.13-11) [kfreebsd-any],
# Require ZFS v28 userland
 zfsutils (<< 8.3~) [kfreebsd-any],
Provides: kfreebsd-image-10, kfreebsd-image
Recommends: 
Description: kernel of FreeBSD 10.0 image
 This package provides the binary image and pre-built loadable modules for
 the kernel of FreeBSD 10.0, base of a GNU/kFreeBSD system.
 .
 This package is compiled for a amd64-class machine.

Package: kfreebsd-image-10-amd64
Architecture: any-amd64
Depends: kfreebsd-image-10.0-0-amd64, ${misc:Depends}
Description: kernel of FreeBSD 10 image (meta-package)
 This package depends on the latest binary image for kernel of FreeBSD 10 on
 amd64-class machines.

Package: kfreebsd-headers-10.0-0-amd64
Architecture: any-amd64
Provides: kfreebsd-headers-10, kfreebsd-headers
Depends: kfreebsd-headers-10.0-0 (= ${binary:Version}), ${misc:Depends}
Description: header files for kernel of FreeBSD 10.0
 This package provides the header files for kernel of FreeBSD 10.0, generally
 used for building out-of-tree kernel modules. These files are going to be
 installed into /usr/src/kfreebsd-headers-10.0-0-amd64, and can be
 used for building modules that load into the kernel provided by the
 kfreebsd-image-10.0-0-amd64 package.

Package: kfreebsd-headers-10-amd64
Architecture: any-amd64
Depends: kfreebsd-headers-10.0-0-amd64, ${misc:Depends}
Description: header files for kernel of FreeBSD 10 (meta-package)
 This package depends on the latest header files for kernel of FreeBSD 10 on
 amd64-class machines.


Package: kernel-image-10.0-0-amd64-di
XC-Package-Type: udeb
Provides: kernel-image, ata-modules, cdrom-core-modules, core-modules, crc-modules, ext2-modules, ide-core-modules, ide-modules, input-modules, mmc-core-modules, mouse-modules, nic-pcmcia-modules, nic-usb-modules, nls-core-modules, pata-modules, pcmcia-modules, pcmcia-storage-modules, rtc-modules, scsi-common-modules, serial-modules, ufs-modules, uinput-modules, usb-modules, usb-serial-modules, usb-storage-modules
Architecture: kfreebsd-amd64
XB-Kernel-Version: 10.0-0-amd64
Section: debian-installer
Priority: extra
Description: FreeBSD kernel binary image for the Debian installer
 This package contains the FreeBSD kernel image for the Debian installer
 boot images. It does _not_ provide a usable kernel for your full
 Debian system.

Package: nic-modules-10.0-0-amd64-di
XC-Package-Type: udeb
Provides: nic-modules
Depends: kernel-image-10.0-0-amd64-di, nic-shared-modules-10.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 10.0-0-amd64
Section: debian-installer
Priority: standard
Description: Common NIC drivers
 This package contains common NIC drivers for the kernel.

Package: nic-wireless-modules-10.0-0-amd64-di
XC-Package-Type: udeb
Provides: nic-wireless-modules
Depends: kernel-image-10.0-0-amd64-di, nic-shared-modules-10.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 10.0-0-amd64
Section: debian-installer
Priority: standard
Description: Wireless NIC drivers
 This package contains wireless NIC drivers for the kernel.
 Includes crypto modules only needed for wireless (WEP).

Package: nic-shared-modules-10.0-0-amd64-di
XC-Package-Type: udeb
Provides: nic-shared-modules
Depends: kernel-image-10.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 10.0-0-amd64
Section: debian-installer
Priority: standard
Description: Shared NIC drivers
 This package contains NIC drivers needed by combinations of nic-modules,
 nic-extra-modules, nic-pcmcia-modules, and nic-wireless-modules.

Package: serial-modules-10.0-0-amd64-di
XC-Package-Type: udeb
Provides: serial-modules
Depends: kernel-image-10.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 10.0-0-amd64
Section: debian-installer
Priority: optional
Description: Serial drivers
 This package contains serial drivers for the kernel.

Package: ppp-modules-10.0-0-amd64-di
XC-Package-Type: udeb
Provides: ppp-modules
Depends: kernel-image-10.0-0-amd64-di, serial-modules-10.0-0-amd64-di, zlib-modules-10.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 10.0-0-amd64
Section: debian-installer
Priority: optional
Description: PPP drivers
 This package contains PPP drivers for the kernel.

Package: cdrom-modules-10.0-0-amd64-di
XC-Package-Type: udeb
Provides: cdrom-modules
Depends: kernel-image-10.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 10.0-0-amd64
Section: debian-installer
Priority: optional
Description: Esoteric CDROM drivers
 This package contains esoteric CDROM drivers for the kernel.

Package: scsi-core-modules-10.0-0-amd64-di
XC-Package-Type: udeb
Provides: scsi-core-modules
Depends: kernel-image-10.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 10.0-0-amd64
Section: debian-installer
Priority: standard
Description: Core SCSI subsystem
 This package contains the core SCSI subsystem for the kernel.

Package: scsi-modules-10.0-0-amd64-di
XC-Package-Type: udeb
Provides: scsi-modules
Depends: kernel-image-10.0-0-amd64-di, scsi-core-modules-10.0-0-amd64-di, parport-modules-10.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 10.0-0-amd64
Section: debian-installer
Priority: standard
Description: SCSI drivers
 This package contains SCSI drivers for the kernel.

Package: scsi-extra-modules-10.0-0-amd64-di
XC-Package-Type: udeb
Provides: scsi-extra-modules
Depends: scsi-modules-10.0-0-amd64-di, scsi-core-modules-10.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 10.0-0-amd64
Section: debian-installer
Priority: standard
Description: Uncommon SCSI drivers
 This package contains uncommon SCSI drivers for the kernel.
 This includes SCSI RAID drivers, and some of the less common SCSI
 controllers.

Package: plip-modules-10.0-0-amd64-di
XC-Package-Type: udeb
Provides: plip-modules
Depends: kernel-image-10.0-0-amd64-di, parport-modules-10.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 10.0-0-amd64
Section: debian-installer
Priority: optional
Description: PLIP drivers
 This package contains PLIP drivers for the kernel.

Package: floppy-modules-10.0-0-amd64-di
XC-Package-Type: udeb
Provides: floppy-modules
Depends: kernel-image-10.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 10.0-0-amd64
Section: debian-installer
Priority: standard
Description: Floppy driver
 This package contains the floppy driver for the kernel.

Package: loop-modules-10.0-0-amd64-di
XC-Package-Type: udeb
Provides: loop-modules
Depends: kernel-image-10.0-0-amd64-di, zlib-modules-10.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 10.0-0-amd64
Section: debian-installer
Priority: standard
Description: Loopback filesystem support
 This package contains loopback filesystem support for the kernel.

Package: ipv6-modules-10.0-0-amd64-di
XC-Package-Type: udeb
Provides: ipv6-modules
Depends: kernel-image-10.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 10.0-0-amd64
Section: debian-installer
Priority: extra
Description: IPv6 driver
 This package contains the IPv6 driver for the kernel.

Package: nls-core-modules-10.0-0-amd64-di
XC-Package-Type: udeb
Provides: nls-core-modules
Depends: kernel-image-10.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 10.0-0-amd64
Section: debian-installer
Priority: extra
Description: Core NLS support
 This package contains basic NLS support modules for the kernel.

Package: ext2-modules-10.0-0-amd64-di
XC-Package-Type: udeb
Provides: ext2-modules
Depends: kernel-image-10.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 10.0-0-amd64
Section: debian-installer
Priority: standard
Description: EXT2 filesystem support
 This package contains the EXT2 filesystem module for the kernel.

Package: isofs-modules-10.0-0-amd64-di
XC-Package-Type: udeb
Provides: isofs-modules
Depends: kernel-image-10.0-0-amd64-di, nls-core-modules-10.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 10.0-0-amd64
Section: debian-installer
Priority: standard
Description: ISOFS filesystem support
 This package contains the ISOFS filesystem module for the kernel.

Package: ntfs-modules-10.0-0-amd64-di
XC-Package-Type: udeb
Provides: ntfs-modules
Depends: kernel-image-10.0-0-amd64-di, nls-core-modules-10.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 10.0-0-amd64
Section: debian-installer
Priority: extra
Description: NTFS filesystem support
 This package contains the NTFS file system module for the kernel.

Package: reiserfs-modules-10.0-0-amd64-di
XC-Package-Type: udeb
Provides: reiserfs-modules
Depends: kernel-image-10.0-0-amd64-di
Architecture: kfreebsd-amd64
XB-Kernel-Version: 10.0-0-amd64
Section: debian-installer
Priority: extra

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

SHELL = bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH_OS	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH_CPU	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

full_version	:= $(shell dpkg-parsechangelog | grep ^Version: | sed -e 's/^.*: //g')
tar_version	:= $(shell echo $(full_version) | sed -e 's/-.*//g')
svn_revision	:= $(shell echo $(full_version) | sed -e 's/.*~svn\([0-9]*\)-[0-9]*/\1/g')
version		:= $(shell echo $(full_version) | sed -e 's/[~+-].*//g')
major           := $(shell echo $(version) | sed -e 's/\..*//g')
revision	:= $(shell echo $(full_version) | sed -e 's/^[^+-]*//g')
cpu		:= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
config_files	:= $(wildcard debian/arch/$(cpu)/*.config)
flavours	:= $(config_files:debian/arch/$(cpu)/%.config=%)
configfile	:= DEBCUSTOM
abiname		:= 0
ld_target	:= $(shell ld --help | sed -ne "s/[^ :]*: supported targets: \([^ ]*\) .*/\1/p")
gcc_version	:= 4.4

ifeq ($(cpu), mipsel)
kfreebsd_cpu	:= mips
else
kfreebsd_cpu	:= $(cpu)
endif

#SVN		:= http://svn.freebsd.org/base/release/$(version).0
#SVN		:= http://svn.freebsd.org/base/releng/$(version)
#SVN		:= http://svn.freebsd.org/base/stable/$(major)
SVN		:= http://svn.freebsd.org/base/head
SOURCE_PACKAGE	:= $(CURDIR)/debian/kfreebsd-source-$(version)
IMAGE_PACKAGE	:= $(CURDIR)/debian/kfreebsd-image-$(version)-$(abiname)
HEADERS_PACKAGE	:= $(CURDIR)/debian/kfreebsd-headers-$(version)-$(abiname)
SRC_TAR		:= kfreebsd-source-$(version).tar.xz
SRC_DIR		:= kfreebsd-source-$(version)
HEADERS_DIR	:= kfreebsd-headers-$(version)-$(abiname)
FLAVOR_DIR	:= flavor-$(version)-$(abiname)
ORIG_DIR	:= kfreebsd-$(major)-$(tar_version)
ORIG_TAR	:= kfreebsd-$(major)_$(tar_version).orig.tar.gz
MAKE		:= make MACHINE_ARCH=$(kfreebsd_cpu) CC=gcc-$(gcc_version) WERROR=
PATH		:= $(CURDIR)/config:/usr/lib/freebsd:$(PATH)

get-orig-source:
	rm -rf $(ORIG_DIR)
	for i in sys usr.sbin/config ; do \
		svn export -r $(svn_revision) $(SVN)/$$i $(ORIG_DIR)/$$i ; \
	done
	cd $(ORIG_DIR) && $(CURDIR)/debian/prune.sh
	tar --numeric-owner --owner 0 --group 0 -czf ../$(ORIG_TAR) $(ORIG_DIR)
	rm -rf $(ORIG_DIR)

control: clean
	for arch in `ls $(CURDIR)/debian/arch/` ; do \
		KW_CONFIG_DIR=debian/arch/$$arch/installer ; \
		if test -e $$KW_CONFIG_DIR ; then \
			for config in `ls $(CURDIR)/debian/arch/$$arch/ | grep \.config` ; do \
				flavor=$${config/.config/} ; \
				if test -e debian/arch/$$arch/$$flavor.installer ; then \
					echo "kfreebsd-$$arch $(version)-$(abiname) $$flavor $(version)-$(abiname)-$$flavor - -" ; \
				fi ; \
			done > $$KW_CONFIG_DIR/kernel-versions ; \
		fi ; \
		echo ; \
	done
	sed -e "s/@major@/$(major)/g" -e "s/@version@/$(version)/g" -e "s/@abiname@/$(abiname)/g" -e "s/@flavor@/$$flavor/g" -e "s/@gcc_version@/$(gcc_version)/g" \
		$(CURDIR)/debian/control.in > $(CURDIR)/debian/control
	echo >> $(CURDIR)/debian/control
	for arch in `ls $(CURDIR)/debian/arch/` ; do \
		for config in `ls $(CURDIR)/debian/arch/$$arch/ | grep \.config` ; do \
			flavor=$${config/.config/} ; \
			recommends= ; \
			test -f $(CURDIR)/debian/arch/$$arch/$$flavor.defines && recommends=`awk '/^Recommends: / {print $$2}' $(CURDIR)/debian/arch/$$arch/$$flavor.defines` ; \
			sed -e "s/@major@/$(major)/g" -e "s/@version@/$(version)/g" -e "s/@abiname@/$(abiname)/g" -e "s/@flavor@/$$flavor/g" -e "s/@arch@/$$arch/g" -e "s/@recommends@/$$recommends/g" \
				$(CURDIR)/debian/control.flavor.in ; \
			echo ; \
		done ; \
		export KW_CONFIG_DIR=debian/arch/$$arch/installer ; \
		if test -e $$KW_CONFIG_DIR/kernel-versions ; then \
			kernel-wedge gen-control ; \
		fi ; \
		echo ; \
	done >> $(CURDIR)/debian/control

clean:
	dh_testdir
	dh_testroot
	rm -rf src kfreebsd-source-* flavor-* config
	rm -f debian/kfreebsd-image-*.preinst
	rm -f debian/kfreebsd-image-*.prerm
	rm -f debian/kfreebsd-image-*.postinst
	rm -f debian/kfreebsd-image-*.postrm

	rm -f *-stamp
	dh_clean

src: src-stamp
src-stamp:
	mkdir $(CURDIR)/src
	cp -af $(CURDIR)/sys $(CURDIR)/usr.sbin $(CURDIR)/src

	touch src-stamp

build-indep: build-indep-stamp
build-indep-stamp: src
	dh_testdir

	cp -af src $(SRC_DIR)

	touch build-indep-stamp

build: build-arch build-indep

install-indep: install-indep-stamp
install-indep-stamp: build-indep
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i

	mkdir -p $(SOURCE_PACKAGE)/usr/src
	chown -R root.src $(SRC_DIR)
	tar cfJ $(SOURCE_PACKAGE)/usr/src/$(SRC_TAR) $(SRC_DIR)

	touch install-indep-stamp

config: config-stamp
config-stamp: src
	rm -rf config
	cp -af src/usr.sbin/config config
	CFLAGS="-D__va_list=__builtin_va_list $(shell pkg-config --cflags libbsd-overlay) -lbsd" $(MAKE) -C config
	touch $@

build-arch: $(foreach flavor,$(flavours),build-flavor-$(flavor)-stamp)
src-flavor-%-stamp: src config
	cp -af src $(FLAVOR_DIR)-$*
	touch $@
build-flavor-%-stamp: src-flavor-%-stamp
	# Add the abiname and the flavor to the kernel version
	sed -i -e 's/^RELEASE=".*"/RELEASE="$(version)-$(abiname)-$*"/g' $(FLAVOR_DIR)-$*/sys/conf/newvers.sh

	# Change ident to the kernel version
	sed -i -e 's/^i=.*/i="Debian $* ($(full_version))"/g' $(FLAVOR_DIR)-$*/sys/conf/newvers.sh

	# Set /lib/modules/${RELEASE} as module dir
	sed -i -e 's,^KODIR?=.*,KODIR="/lib/modules/$(version)-$(abiname)-$*",g' $(FLAVOR_DIR)-$*/sys/conf/kern.pre.mk
	sed -i -e '/^static char linker_path/s,".*","/lib/modules/$(version)-$(abiname)-$*",g' $(FLAVOR_DIR)-$*/sys/kern/kern_linker.c

	# Always set explicit link target to match with ld's implicit target (needed
	# to build on non-kFreeBSD)
	sed -i \
		-e 's/elf32-i386-freebsd/$(ld_target)/g' \
		-e 's/elf64-x86-64-freebsd/$(ld_target)/g' \
		-e 's/elf32-tradlittlemips-freebsd/$(ld_target)/g' \
		-e 's/elf32-tradbigmips-freebsd/$(ld_target)/g' \
	$(FLAVOR_DIR)-$*/sys/conf/ldscript.$(kfreebsd_cpu)

	# Configure the kernel
	cp debian/arch/$(cpu)/$*.config $(FLAVOR_DIR)-$*/sys/$(kfreebsd_cpu)/conf/
	ln -sf $*.config $(FLAVOR_DIR)-$*/sys/$(kfreebsd_cpu)/conf/$(configfile)
	cd $(FLAVOR_DIR)-$*/sys/$(kfreebsd_cpu)/conf \
		&& config $(configfile)

	# Build it
	$(MAKE) -C $(FLAVOR_DIR)-$*/sys/$(kfreebsd_cpu)/compile/$(configfile)/ depend
	$(MAKE) -C $(FLAVOR_DIR)-$*/sys/$(kfreebsd_cpu)/compile/$(configfile)/

	touch build-flavor-$*-stamp

install-common-stamp: src
	dh_testdir
	dh_testroot
	mkdir -p $(HEADERS_PACKAGE)/usr/src/$(HEADERS_DIR)
	cd src \
		&& find . -type f -name "*.h" -not -regex ".*modules.*" -not -regex ".*sys/$(kfreebsd_cpu)/.*" -exec cp --parents {} $(HEADERS_PACKAGE)/usr/src/$(HEADERS_DIR) \;

	mkdir -p $(HEADERS_PACKAGE)/usr/src/$(HEADERS_DIR)/conf
	cd src && cp --parents \
		sys/conf/kern.mk \
		sys/conf/kmod.mk \
		sys/conf/kmod_syms.awk \
		sys/kern/bus_if.m \
		sys/dev/pci/pci_if.m \
		sys/kern/device_if.m \
		sys/kern/vnode_if.src \
		sys/tools/vnode_if.awk \
		sys/tools/makeobjops.awk \
		$(HEADERS_PACKAGE)/usr/src/$(HEADERS_DIR)

	find $(HEADERS_PACKAGE)/usr/src/$(HEADERS_DIR) -type f -exec chmod 644 {} \;
	find $(HEADERS_PACKAGE)/usr/src/$(HEADERS_DIR) -type f -name "*.awk" -exec chmod 755 {} \;

	touch install-common-stamp

install-arch: $(foreach flavor,$(flavours),install-flavor-$(flavor)-stamp) install-udeb-stamp
install-flavor-%-stamp: install-common-stamp build-flavor-%-stamp
	dh_testdir
	dh_testroot
	dh_clean -k -pkfreebsd-image-$(version)-$(abiname)-$*

	mkdir -p $(IMAGE_PACKAGE)-$*/{boot,lib/modules/$(version)-$(abiname)-$*}

	# make the install target happy
	install -o root -g root -m 644 \
		$(FLAVOR_DIR)-$*/sys/$(kfreebsd_cpu)/conf/GENERIC.hints \
		$(IMAGE_PACKAGE)-$*/boot/device.hints || touch $(IMAGE_PACKAGE)-$*/boot/device.hints
	install -o root -g root -m 644 \
		$(FLAVOR_DIR)-$*/sys/boot/forth/loader.conf \
		$(IMAGE_PACKAGE)-$*/boot/loader.conf
	mkdir -p $(IMAGE_PACKAGE)-$*/boot/defaults
	install -o root -g root -m 644 \
		$(FLAVOR_DIR)-$*/sys/boot/forth/loader.conf \
